# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @rdname calc_info
#' @export
calc_info <- function(x, item_parm, ncat, model) {
    .Call('_TestDesign_calc_info', PACKAGE = 'TestDesign', x, item_parm, ncat, model)
}

#' @rdname calc_info
#' @export
calc_info_matrix <- function(x, item_parm, ncat, model) {
    .Call('_TestDesign_calc_info_matrix', PACKAGE = 'TestDesign', x, item_parm, ncat, model)
}

#' Calculate the Fisher information using empirical Bayes
#'
#' Calculate the Fisher information using empirical Bayes.
#'
#' @param x A numeric vector of MCMC sampled theta values.
#' @param item_parm A numeric matrix of item parameters.
#' @template calc-params-mini
calc_info_EB <- function(x, item_parm, ncat, model) {
    .Call('_TestDesign_calc_info_EB', PACKAGE = 'TestDesign', x, item_parm, ncat, model)
}

#' Calculate the Fisher information using full Bayesian
#'
#' Calculate the Fisher information using full Bayesian.
#'
#' @param x A numeric vector of MCMC sampled theta values.
#' @param items_list A list of item parameter matrices.
#' @template calc-params-mini
#' @param useEAP \code{TRUE} to use the mean of MCMC theta draws.
calc_info_FB <- function(x, items_list, ncat, model, useEAP = FALSE) {
    .Call('_TestDesign_calc_info_FB', PACKAGE = 'TestDesign', x, items_list, ncat, model, useEAP)
}

#' Calculate the mutual information using full Bayesian
#'
#' Calculate the mutual information using full Bayesian.
#'
#' @param x A numeric vector of MCMC sampled theta values.
#' @param items_list A list of item parameter matrices.
#' @template calc-params-mini
calc_MI_FB <- function(x, items_list, ncat, model) {
    .Call('_TestDesign_calc_MI_FB', PACKAGE = 'TestDesign', x, items_list, ncat, model)
}

#' @rdname p_item
#' @export
p_1pl <- function(x, b) {
    .Call('_TestDesign_p_1pl', PACKAGE = 'TestDesign', x, b)
}

#' @rdname p_item
#' @export
p_2pl <- function(x, a, b) {
    .Call('_TestDesign_p_2pl', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname p_item
#' @export
p_3pl <- function(x, a, b, c) {
    .Call('_TestDesign_p_3pl', PACKAGE = 'TestDesign', x, a, b, c)
}

#' @rdname p_item
#' @export
p_pc <- function(x, b) {
    .Call('_TestDesign_p_pc', PACKAGE = 'TestDesign', x, b)
}

#' @rdname p_item
#' @export
p_gpc <- function(x, a, b) {
    .Call('_TestDesign_p_gpc', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname p_item
#' @export
p_gr <- function(x, a, b) {
    .Call('_TestDesign_p_gr', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname p_item
#' @export
array_p_1pl <- function(x, b) {
    .Call('_TestDesign_array_p_1pl', PACKAGE = 'TestDesign', x, b)
}

#' @rdname p_item
#' @export
array_p_2pl <- function(x, a, b) {
    .Call('_TestDesign_array_p_2pl', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname p_item
#' @export
array_p_3pl <- function(x, a, b, c) {
    .Call('_TestDesign_array_p_3pl', PACKAGE = 'TestDesign', x, a, b, c)
}

#' @rdname p_item
#' @export
array_p_pc <- function(x, b) {
    .Call('_TestDesign_array_p_pc', PACKAGE = 'TestDesign', x, b)
}

#' @rdname p_item
#' @export
array_p_gpc <- function(x, a, b) {
    .Call('_TestDesign_array_p_gpc', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname p_item
#' @export
array_p_gr <- function(x, a, b) {
    .Call('_TestDesign_array_p_gr', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
info_1pl <- function(x, b) {
    .Call('_TestDesign_info_1pl', PACKAGE = 'TestDesign', x, b)
}

#' @rdname info_item
#' @export
info_2pl <- function(x, a, b) {
    .Call('_TestDesign_info_2pl', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
info_3pl <- function(x, a, b, c) {
    .Call('_TestDesign_info_3pl', PACKAGE = 'TestDesign', x, a, b, c)
}

#' @rdname info_item
#' @export
info_pc <- function(x, b) {
    .Call('_TestDesign_info_pc', PACKAGE = 'TestDesign', x, b)
}

#' @rdname info_item
#' @export
info_gpc <- function(x, a, b) {
    .Call('_TestDesign_info_gpc', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
info_gr <- function(x, a, b) {
    .Call('_TestDesign_info_gr', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
array_info_1pl <- function(x, b) {
    .Call('_TestDesign_array_info_1pl', PACKAGE = 'TestDesign', x, b)
}

#' @rdname info_item
#' @export
array_info_2pl <- function(x, a, b) {
    .Call('_TestDesign_array_info_2pl', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
array_info_3pl <- function(x, a, b, c) {
    .Call('_TestDesign_array_info_3pl', PACKAGE = 'TestDesign', x, a, b, c)
}

#' @rdname info_item
#' @export
array_info_pc <- function(x, b) {
    .Call('_TestDesign_array_info_pc', PACKAGE = 'TestDesign', x, b)
}

#' @rdname info_item
#' @export
array_info_gpc <- function(x, a, b) {
    .Call('_TestDesign_array_info_gpc', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname info_item
#' @export
array_info_gr <- function(x, a, b) {
    .Call('_TestDesign_array_info_gr', PACKAGE = 'TestDesign', x, a, b)
}

#' @rdname find_segment
#' @export
find_segment <- function(x, segment) {
    .Call('_TestDesign_find_segment', PACKAGE = 'TestDesign', x, segment)
}

#' @noRd
NULL

#' @rdname calc_likelihood
#' @export
calc_likelihood <- function(x, item_parm, resp, ncat, model) {
    .Call('_TestDesign_calc_likelihood', PACKAGE = 'TestDesign', x, item_parm, resp, ncat, model)
}

#' @rdname calc_likelihood
#' @export
calc_likelihood_function <- function(theta_grid, item_parm, resp, ncat, model) {
    .Call('_TestDesign_calc_likelihood_function', PACKAGE = 'TestDesign', theta_grid, item_parm, resp, ncat, model)
}

#' @rdname calc_likelihood
#' @export
calc_log_likelihood <- function(x, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_calc_log_likelihood', PACKAGE = 'TestDesign', x, item_parm, resp, ncat, model, prior, prior_parm)
}

#' @rdname calc_likelihood
#' @export
calc_log_likelihood_function <- function(theta_grid, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_calc_log_likelihood_function', PACKAGE = 'TestDesign', theta_grid, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate a posterior value of theta
#'
#' Calculate a posterior value of theta.
#'
#' @param x A length-one numeric vector for a theta value.
#' @param item_parm A numeric matrix of item parameters.
#' @template calc-params
calc_posterior <- function(x, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_calc_posterior', PACKAGE = 'TestDesign', x, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate a posterior distribution of theta
#'
#' Calculate a posterior distribution of theta.
#'
#' @param theta_grid An equi-spaced grid of theta values.
#' @param item_parm A numeric matrix of item parameters.
#' @template calc-params
calc_posterior_function <- function(theta_grid, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_calc_posterior_function', PACKAGE = 'TestDesign', theta_grid, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate a posterior value of theta for a single item
#'
#' Calculate a posterior value of theta for a single item.
#'
#' @param x A length-one numeric vector for a theta value.
#' @param item_parm A numeric vector of item parameters (for one item).
#' @param resp A length-one numeric vector of item responses.
#' @param ncat A length-one numeric vector of the number of response categories by item.
#' @param model A length-one numeric vector of the IRT model by item (1: 1PL, 2: 2PL, 3: 3PL, 4: PC, 5: GPC, 6: GR).
#' @param prior The type of prior distribution (1: normal, 2: uniform).
#' @param prior_parm A numeric vector of hyperparameters for the prior distribution, c(mu, sigma) or c(ll, ul).
#'
calc_posterior_single <- function(x, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_calc_posterior_single', PACKAGE = 'TestDesign', x, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate an EAP estimate of theta for one examinee
#'
#' Calculate an expected a posterior estimate of theta for one examinee.
#'
#' @param theta_grid An equi-spaced theta grid.
#' @param item_parm A numeric matrix of item parameters.
#' @template calc-params
theta_EAP <- function(theta_grid, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_EAP', PACKAGE = 'TestDesign', theta_grid, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate EAP estimates of theta for a group of examinees
#'
#' Calculate expected a posteriori estimates of theta for a group of examinees.
#'
#' @param theta_grid An equi-spaced theta grid.
#' @param item_parm A numeric matrix of item parameters.
#' @param resp A numeric matrix of item responses.
#' @param ncat A numeric vector of the number of response categories by item.
#' @param model A numeric vector of the IRT model by item (1: 1PL, 2: 2PL, 3: 3PL, 4: PC, 5: GPC, 6: GR).
#' @param prior The type of prior distribution (1: normal, 2: uniform).
#' @param prior_parm A numeric vector of hyperparameters for the prior distribution, c(mu, sigma) or c(ll, ul).
#'
theta_EAP_matrix <- function(theta_grid, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_EAP_matrix', PACKAGE = 'TestDesign', theta_grid, item_parm, resp, ncat, model, prior, prior_parm)
}

#' @rdname theta_EB
#' @export
theta_EB <- function(nx, theta_init, theta_prop, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_EB', PACKAGE = 'TestDesign', nx, theta_init, theta_prop, item_parm, resp, ncat, model, prior, prior_parm)
}

#' @rdname theta_EB
#' @export
theta_EB_single <- function(nx, theta_init, theta_prop, item_parm, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_EB_single', PACKAGE = 'TestDesign', nx, theta_init, theta_prop, item_parm, resp, ncat, model, prior, prior_parm)
}

#' Calculate a fully Bayesian estimate of theta for an examinee
#'
#' Calculate a fully Bayesian estimate of theta for an examinee.
#'
#' @param nx The number of MCMC draws.
#' @param theta_init A value for initial estimate of theta.
#' @param theta_prop SD of the proposal distribution.
#' @param items_list A list of item_parm matrices.
#' @param item_init A matrix of item parameter estimates (one row per item).
#' @template calc-params
theta_FB <- function(nx, theta_init, theta_prop, items_list, item_init, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_FB', PACKAGE = 'TestDesign', nx, theta_init, theta_prop, items_list, item_init, resp, ncat, model, prior, prior_parm)
}

#' Calculate a fully Bayesian estimate of theta for a single item
#'
#' Calculate a fully Bayesian estimate of theta for a single item.
#'
#' @param nx The number of MCMC draws.
#' @param theta_init A value for initial estimate of theta.
#' @param theta_prop SD of the proposal distribution.
#' @param item_mcmc A matrix of sampled item parameters for a single item.
#' @param item_init A matrix of item parameter estimates (one row per item).
#' @template calc-params
theta_FB_single <- function(nx, theta_init, theta_prop, item_mcmc, item_init, resp, ncat, model, prior, prior_parm) {
    .Call('_TestDesign_theta_FB_single', PACKAGE = 'TestDesign', nx, theta_init, theta_prop, item_mcmc, item_init, resp, ncat, model, prior, prior_parm)
}

